# exportChatInviteLink

## Description

Use this method to generate a new invite link for a chat; any previously generated link is revoked. The bot must be an administrator in the chat for this to work and must have the appropriate admin rights. Returns the new invite link as String on success.

Note: Each administrator in a chat generates their own invite links. Bots can't use invite links generated by other administrators. If you want your bot to work with invite links, it will need to generate its own link using exportChatInviteLink — after this the link will become available to the bot via the getChat method. If your bot needs to generate a new invite link replacing its previous one, use exportChatInviteLink again.


## Arguments

| Name | Type | Description |
| - | - | - |
| `chat_id` | `#!python3 Union[int, str]` | Unique identifier for the target chat or username of the target channel (in the format @channelusername) |



## Response

Type: `#!python3 str`

Description: Returns the new invite link as String on success.


## Usage

### As bot method

```python3
result: str = await bot.export_chat_invite_link(...)
```

### Method as object

Imports:

- `from aiogram.methods import ExportChatInviteLink`
- `from aiogram.api.methods import ExportChatInviteLink`
- `from aiogram.api.methods.export_chat_invite_link import ExportChatInviteLink`

#### In handlers with current bot
```python3
result: str = await ExportChatInviteLink(...)
```

#### With specific bot
```python3
result: str = await bot(ExportChatInviteLink(...))
```
#### As reply into Webhook in handler
```python3
return ExportChatInviteLink(...)
```


## Related pages:

- [Official documentation](https://core.telegram.org/bots/api#exportchatinvitelink)
